=== debian/control ===
Source: ros-indigo-sick-safetyscanners
Section: misc
Priority: extra
Maintainer: Lennart Puck <puck@fzi.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-sick-safetyscanners
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-dynamic-reconfigure, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-rqt-reconfigure, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: Provides an Interface to read the sensor output of a SICK Safety Scanner
